Package com.ocient.jdbc.proto

# Interface PlanProtocol.StatsTableInfoOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.StatsTableInfo`, `PlanProtocol.StatsTableInfo.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.StatsTableInfoOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.StatsColumnInfo` | `getColumns​(int index)` | `repeated .xg.db.sqlPlans.StatsColumnInfo columns = 4;`
`int` | `getColumnsCount()` | `repeated .xg.db.sqlPlans.StatsColumnInfo columns = 4;`
`List<PlanProtocol.StatsColumnInfo>` | `getColumnsList()` | `repeated .xg.db.sqlPlans.StatsColumnInfo columns = 4;`
`PlanProtocol.StatsColumnInfoOrBuilder` | `getColumnsOrBuilder​(int index)` | `repeated .xg.db.sqlPlans.StatsColumnInfo columns = 4;`
`List<? extends PlanProtocol.StatsColumnInfoOrBuilder>` | `getColumnsOrBuilderList()` | `repeated .xg.db.sqlPlans.StatsColumnInfo columns = 4;`
`com.google.protobuf.ByteString` | `getStorageSpaceUuid()` | `bytes storage_space_uuid = 2;`
`com.google.protobuf.ByteString` | `getTableUuid()` | `bytes table_uuid = 1;`
`com.google.protobuf.ByteString` | `getTableVersionUuid()` | `bytes table_version_uuid = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getTableUuid

com.google.protobuf.ByteString getTableUuid()
`bytes table_uuid = 1;`

### getStorageSpaceUuid

com.google.protobuf.ByteString getStorageSpaceUuid()
`bytes storage_space_uuid = 2;`

### getTableVersionUuid

com.google.protobuf.ByteString getTableVersionUuid()
`bytes table_version_uuid = 3;`

### getColumnsList

List<PlanProtocol.StatsColumnInfo> getColumnsList()
`repeated .xg.db.sqlPlans.StatsColumnInfo columns = 4;`

### getColumns

PlanProtocol.StatsColumnInfo getColumns​(int index)
`repeated .xg.db.sqlPlans.StatsColumnInfo columns = 4;`

### getColumnsCount

int getColumnsCount()
`repeated .xg.db.sqlPlans.StatsColumnInfo columns = 4;`

### getColumnsOrBuilderList

List<? extends PlanProtocol.StatsColumnInfoOrBuilder> getColumnsOrBuilderList()
`repeated .xg.db.sqlPlans.StatsColumnInfo columns = 4;`

### getColumnsOrBuilder

PlanProtocol.StatsColumnInfoOrBuilder getColumnsOrBuilder​(int index)
`repeated .xg.db.sqlPlans.StatsColumnInfo columns = 4;`